import React, { PropsWithChildren } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { IconName } from '../../assets/svg';
export declare type IconProps = {
    name: IconName;
    color?: string;
    size?: number;
    onPress?: () => void;
    style?: StyleProp<ViewStyle>;
};
declare const Icon: React.FC<PropsWithChildren<IconProps>>;
export default Icon;
